class PageDocumentation

This file provides property and method documentation for the model Page.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\SmartWiki\Docs\ClassGenerated\Model\PageDocumentation to the model to get access to the properties.

Properties

int $id
string $slug:

stored in MySQL as varchar

int $version_id
int $pid
string $title:

stored in MySQL as varchar

string $content_plain:

stored in MySQL as longtext

string $content_html:

stored in MySQL as longtext

string $documents:

stored in MySQL as text

string $change_log:

stored in MySQL as varchar

bool $is_template:

stored in MySQL as tinyint

int $created_user_id
int $updated_user_id
string $sort
bool $active:

stored in MySQL as tinyint

bool $always_show_last_active:

stored in MySQL as tinyint

int $created_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

int $published_at:

stored in MySQL as timestamp

int $group_id

Methods

Page[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Page[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 42
Page[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

Page[]

at line 42
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 42
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 42
Page[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Page[]

at line 42
Page find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Page